Issue 11698

Summary: Make Find Dialog Box More Robust
Product: General Reporter: zridling <zridling>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.0.2   
Target Milestone: ---   
Hardware: All   
OS: Windows ME   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description zridling 2003-02-20 23:56:19 UTC
In the Find & Replace (CTRL+F) dialog, there's a 'Find All' button. In Word, 
however, they add a checkbox to 'Highlight all items found in:' followed by a 
drop-down list that allows the user to search the Main Document, Headers and 
Footers, Footnotes, or Current Selection. After one runs a 'Find All' search 
with the this option checked, Word displays how many items matched that 
criteria. It would be great if Writer had this ability, adding the option to 
search the whole document, which included all its parts.
	
Similarly, in Calc. Excel provides a neatly columned table within its 'Find and 
Replace' dialog that displays exactly where each item can be found within the 
workbook/sheet/cell, etc., listing the number of items found in the status bar 
of the dialog. 
	
These small enhancements should be done in both Writer and Calc as they are 
both very useful. I like the Find/Replace dialog in Writer/Calc, but it needs a 
few more options. For example, it's HIGHLY convenient to search by format (not 
style!) in Excel. But Calc doesn't let you go that far, only searching by pre-
defined styles, which is restrictive rather than expansive.
Comment 1 thorsten.martens 2003-03-11 09:05:35 UTC
TM->BH: This one is a wish for an enhancement, so please have a look.
Thanks !
Comment 2 eric.savary 2003-04-16 15:34:18 UTC
Set to "NEW"
Comment 3 ace_dent 2008-05-16 02:42:28 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 15:18:10 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".